<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<completable-card title="{{'parameters.document.card.title' | translate}}"
                  subtitle="{{'parameters.document.card.subtitle' | translate}}"
                  [completed]="completed"
                  [inError]="inError"
                  [partiallyCompleted]="partiallyComplete"
                  [readOnly]="readOnly"
                  [editSection]="['edit', 'document']">
  <div fxLayout="column wrap" fxLayoutGap="2rem">
    <div fxLayout fxLayoutGap="2rem">
      <div fxLayout="column">
        <span class="readonly-label">{{'parameters.document.edit.form.fields.type.label-key.DOCUMENT_FAQ' | translate}}</span>
        <span class="readonly-value" id="document-faq-count">{{documentCount('DOCUMENT_FAQ')}}</span>
      </div>
      <div fxLayout="column">
        <span class="readonly-label">{{'parameters.document.card.question_count' | translate}}</span>
        <span class="readonly-value" id="question-count">{{questionCount()}}</span>
      </div>
    </div>
    <div fxLayout="column" fxLayoutAlign="start">
      <span class="readonly-label">{{'parameters.document.edit.form.fields.type.label-key.DOCUMENT_TERMS' | translate}}</span>
      <span class="readonly-value" id="document-terms-count">{{documentCount('DOCUMENT_TERMS')}}</span>
    </div>
    <div fxLayout="column" fxLayoutAlign="start">
      <span class="readonly-label">{{'parameters.document.edit.form.fields.type.label-key.DOCUMENT_CERTIFICATE' | translate}}</span>
      <span class="readonly-value" id="document-certificate-count">{{documentCount('DOCUMENT_CERTIFICATE')}}</span>
    </div>
  </div>
</completable-card>
